See if you have "Distance Analysis" command might not be available depending on which license you have.
From top toolbar View>Command List
I left projection space as 3d and measurement direction in "X" (X for this model orientation, Z for yours).
I would try the "Extremum Definition" under points.
Generate one Extremum point on the curve in the Z Direction.
Generate one Extremum point on the surface in the Z Direction.
You can toggle Max/Min to get the opposite results.
Then you can measure between the two points and get the "Z"...
Looks like a foreshortened dimension due to the view being broken. The wire is much longer than what is shown in view, so the wire is broken. And then the dimension should be shown as such when the dimension spans the broken out area. Not sure if broken is the correct term...
Search Catia UUID to get a better understanding.
If you made part 1 plus the .catdrawing.
And then did a change to part 1, but when you saved the change as part 2 you checked the "Save as New Document" option.
This generates a new .catpart file with a new UUID and you will have problems...
hadzill,
what current state are you checking?
For example below, Script checks the current state of z-buffer setting.
In this case it will either be true or false.
Then it sets (toggles) it to the opposite.
But I think you could do a If/Then, Else, EndIf
If variibale is true (or false...
From your tree in drafting module. Select sheet and rmb properties of it.
Then there is an option for bounding box or part 3d axis.
Switch it to part 3d axis and you will be good.
↓and if you can modify each sheet in your drafting std, all future drawings will then default to that↓
No content in active body it will be deactivated.
↓No Content in Active Body↓
↓Content in Active Body↓
↓No Content in Active Body, but content in a different Body↓
Mouse over command (Tools → Customize)
Additionally under Help, there is a "What's This?" use that and it will bring you to the help documentation on that command if it has a link.
You do need to have the help file documentation installed and pointed to the location.
You probably changed the color of that part at the assembly level. Go into your assembly and from the tree Change the color of that part/instance to none. It will then match the colors of the catpart.
Wuzhee,
Here is a catscript that will get you close, probably a few tweaks to get exactly what you want.
This requires pre-selecting what you want to be exported to excel.
Script will export a screen shot, file name, file path & the pre-selected attributes.
The attributes will be listed in the...
I would say about 20% of the time I do not get a solid model from nx to Catia.
Most of the time I will get the model imported as a single surface/sheet/skin/volume/etc. That will not close into a solid. I then run the heal operation and that will work half the time. I have tried to reduce the...
Alan,
add the two lines.
Sub CATMain()
Dim documents1
Set documents1 = CATIA.Documents
Set Document = CATIA.ActiveDocument
Dim selection1
Set selection1 = Document.Selection
Set Info = selection1.Item(1)
Dim Dimension1
Set Dimension1 = Info.Value
Dim DimTolValue
Set DimTolValue =...